export interface SetContainer<T extends {}> {
    add: (value: T) => SetContainer<T>;
    addMany: (values: T[]) => SetContainer<T>;
    delete: (value: T) => SetContainer<T>;
    deleteMany: (values: T[]) => SetContainer<T>;
    clear: () => SetContainer<T>;
    extract: () => Set<T>;
}
export declare const SetContainerUtils: {
    add: <T extends {}>(container: SetContainer<T>, value: T) => SetContainer<T>;
    delete: <T_1 extends {}>(container: SetContainer<T_1>, value: T_1) => SetContainer<T_1>;
    clear: <T_2 extends {}>(container: SetContainer<T_2>) => SetContainer<T_2>;
    fp: {
        add: <T_3 extends {}>(value: T_3) => (container: SetContainer<T_3>) => SetContainer<T_3>;
        delete: <T_4 extends {}>(value: T_4) => (container: SetContainer<T_4>) => SetContainer<T_4>;
    };
};
export declare function createSetContainer<T extends {}>(set?: Set<T>): SetContainer<T>;
//# sourceMappingURL=SetContainer.d.ts.map