import type { RangeValue } from '@codemirror/state';
import { RangeSet } from '@codemirror/state';
export type AnyRangeSet = RangeSet<RangeValue>;
/**
 * @param a new `RangeSet`
 * @param b old `RangeSet`
 */
export declare function rangeSetsEqual(a: AnyRangeSet, b: AnyRangeSet): boolean;
export type RangeValueCallback<T extends RangeValue, U> = (value: T, from: number, to: number) => U;
export declare function mapRangeSetToArray<T extends RangeValue, U>(rangeSet: RangeSet<T>, callbackfn: RangeValueCallback<T, U>): U[];
export type RangeValueReduceCallback<T extends RangeValue, U extends {}> = (previousValue: U, currentValue: T, from: number, to: number) => U;
export declare function reduceRangeSet<T extends RangeValue>(rangeSet: RangeSet<T>, callbackfn: RangeValueReduceCallback<T, T>): T;
export declare function reduceRangeSet<T extends RangeValue, U extends {}>(rangeSet: RangeSet<T>, callbackfn: RangeValueReduceCallback<T, U>, initialValue: U): U;
//# sourceMappingURL=rangeSet.d.ts.map